"{ Package: 'stx:goodies/sunit' }" !

!Class methodsFor:'Camp Smalltalk'!

sunitName
	^self name

    "Created: / 20.6.2000 / 12:32:46 / Sames"
! !

!Behavior methodsFor:'Camp Smalltalk'!

sunitSelectors
	^self selectors asSortedCollection asOrderedCollection

    "Created: / 20.6.2000 / 11:54:54 / Sames"
! !

!Block methodsFor:'Camp Smalltalk'!

sunitEnsure: aBlock 
	^self valueNowOrOnUnwindDo: aBlock

    "Created: / 20.6.2000 / 11:59:32 / Sames"
    "Modified: / 20.6.2000 / 12:27:10 / Sames"
! !

!Block methodsFor:'Camp Smalltalk'!

sunitOn: aSignal do: anExceptionBlock 
	^self on: aSignal do: anExceptionBlock

    "Created: / 20.6.2000 / 12:27:57 / Sames"
! !

!String methodsFor:'Camp Smalltalk'!

sunitAsSymbol
	^self asSymbol

    "Created: / 20.6.2000 / 18:06:20 / Sames"
! !

!String methodsFor:'Camp Smalltalk'!

sunitMatch: aString
	^self match: aString

    "Created: / 20.6.2000 / 18:10:34 / Sames"
! !

!String methodsFor:'Camp Smalltalk'!

sunitSubStrings
	^self asArrayOfSubstrings

    "Modified: / 20.6.2000 / 18:11:54 / Sames"
! !

!Object methodsFor:'Camp Smalltalk'!

sunitAddDependent: anObject
	self addDependent: anObject

    "Created: / 20.6.2000 / 17:56:27 / Sames"
! !

!Object methodsFor:'Camp Smalltalk'!

sunitChanged: aspect
	self changed: aspect

    "Created: / 20.6.2000 / 17:57:48 / Sames"
! !

!Object methodsFor:'Camp Smalltalk'!

sunitRemoveDependent: anObject
	self removeDependent: anObject

    "Created: / 20.6.2000 / 17:58:13 / Sames"
! !

!Symbol methodsFor:'Camp Smalltalk'!

sunitAsClass
	^SUnitNameResolver classNamed: self

    "Created: / 20.6.2000 / 18:22:33 / Sames"
! !

!GenericException methodsFor:'Camp Smalltalk'!

sunitExitWith: aValue
	^self returnWith: aValue

    "Created: / 20.6.2000 / 12:34:54 / Sames"
    "Modified: / 20.6.2000 / 12:37:21 / Sames"
! !

!GenericException class methodsFor:'Camp Smalltalk'!

sunitSignalWith: aString
	^self raiseErrorString: aString

    "Created: / 20.6.2000 / 12:40:52 / Sames"
! !

